SVNConflictReason (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.wc.SVNConflictReason class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc
Class SVNConflictReason

    java.lang.Object
      org.tmatesoft.svn.core.wc.SVNConflictReason

public class SVNConflictReason
extends Object

The SVNConflictReason class represents an enumeration of constants describing the reason of a conflict state in a working copy produced by a merge operation.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

Field Summary
`static SVNConflictReason` | `ADDED` Constant saying that an object is already added or schedule-add
`static SVNConflictReason` | `DELETED` Constant saying that an object is already schedule-delete.
`static SVNConflictReason` | `EDITED` Constant saying that local edits are already present.
`static SVNConflictReason` | `MISSING` Constant saying that an object is unknown or missing.
`static SVNConflictReason` | `OBSTRUCTED` Constant saying that another object is in the way.
`static SVNConflictReason` | `UNVERSIONED` Constant saying that an object is unversioned.

Method Summary
`static SVNConflictReason` | `fromString(String reason)` Converts a string reason name to an `SVNConflictReason` object.
`String` | `getName()` Retunrns a string representation of this object.
`String` | `toString()` Retunrns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EDITED

    public static final SVNConflictReason EDITED

  Constant saying that local edits are already present.

### OBSTRUCTED

    public static final SVNConflictReason OBSTRUCTED

  Constant saying that another object is in the way.

### DELETED

    public static final SVNConflictReason DELETED

  Constant saying that an object is already schedule-delete.

### MISSING

    public static final SVNConflictReason MISSING

  Constant saying that an object is unknown or missing. Reserved (never passed currently).

### UNVERSIONED

    public static final SVNConflictReason UNVERSIONED

  Constant saying that an object is unversioned. Reserved (never passed currently).

### ADDED

    public static final SVNConflictReason ADDED

  Constant saying that an object is already added or schedule-add

Method Detail

### fromString

    public static SVNConflictReason fromString(String reason)

  Converts a string reason name to an `SVNConflictReason` object.

  Parameters:
    `reason` - name
  Returns:
    an `SVNConflictReason` that matches the `reason` name; `null` if no match is found
  Since:
    1.3

### getName

    public String getName()

  Retunrns a string representation of this object.

  Returns:
    conflict reason name
  Since:
    1.3

### toString

    public String toString()

  Retunrns a string representation of this object.

  Returns:
    conflict reason name
  Since:
    1.3

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.